Skip to main content
POST
/
platform
/
appdev
/
appsubscriptions
/
events
Error
A valid request URL is required to generate request examples
{
  "applicationEndPoint": "<string>",
  "applicationSubscriptionId": 123,
  "events": [
    {
      "apiVersionNumber": "<string>",
      "eventCategory": "<string>",
      "eventId": 123,
      "eventName": "<string>"
    }
  ],
  "noCallback": true,
  "packageId": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Defines an event that an Application Version is subscribed to.

applicationEndPoint
string | null

The End Point where the event information will be sent to when the event is fired.

applicationSubscriptionId
integer<int32>

The unique identifier of an ApplicationVersionEvent record.

events
object[] | null
noCallback
boolean
packageId
integer<int32>

Response

OK

Defines an event that an Application Version is subscribed to.

applicationEndPoint
string | null

The End Point where the event information will be sent to when the event is fired.

applicationSubscriptionId
integer<int32>

The unique identifier of an ApplicationVersionEvent record.

events
object[] | null
noCallback
boolean
packageId
integer<int32>